How to Install vdev
===================

This document is meant to help both packagers and individuals wishing
to install vdev from source do so as painlessly as possible. However,
the reader is expected to have basic command-line proficiency,
familiarity with their bootloader of choice, and familiarity with
installing and removing system services.

The steps in this document are lightly tested, and are **specific to
Devuan**. Please report bugs to the Devuan mailing list.

Step 1: Set up the system and build packages
--------------------------------------------

# apt-get install git build-essential dh-make dpkg-dev
# git clone git@git.devuan.org:ralph.ronnquist/vdev
# cd vdev
# make -f debian.mk

Step 2: Install packages and set up initramfs
---------------------------------------------

**NOTE:** These steps will disable udev. If vdev does not work
correctly for you, you are expected to know how to restore udev.

# dpkg -i *.deb
# update-rc.d udev disable
# update-rc.d udev-finish disable
# update-rc.d vdev enable S

Step 3: Uninstall and restore
-----------------------------

# apt-get purge vdev-initramfs
# apt-get install --reinstall initramfs-tools
# update-rc.d udev enable S
# update-rc.d udev-finish enable S
